Bug 193206 - [stage] japanese/nethack34: Add staging support, fix BROKEN and update to the latest jnethack patch
Summary: [stage] japanese/nethack34: Add staging support, fix BROKEN and update to the...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-31 14:23 UTC by WATANABE Kazuhiro
Modified: 2014-09-06 17:26 UTC (History)
1 user (show)

See Also:


Attachments
Update patch for japanese/nethack34 (27.79 KB, patch)
2014-08-31 14:23 UTC, WATANABE Kazuhiro
no flags Details | Diff
poudriere testport log (9.1-RELEASE amd64) (59.75 KB, text/x-log)
2014-08-31 14:25 UTC, WATANABE Kazuhiro
no flags Details
Update patch for japanese/nethack34 (28.01 KB, patch)
2014-09-01 08:38 UTC, WATANABE Kazuhiro
no flags Details | Diff
poudriere testport log (9.1-RELEASE amd64) (59.96 KB, text/x-log)
2014-09-01 08:40 UTC, WATANABE Kazuhiro
no flags Details
Update patch for japanese/nethack34 (28.04 KB, patch)
2014-09-02 14:35 UTC, WATANABE Kazuhiro
no flags Details | Diff
poudriere testport log (9.1-RELEASE amd64) (59.79 KB, text/x-log)
2014-09-02 14:37 UTC, WATANABE Kazuhiro
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description WATANABE Kazuhiro 2014-08-31 14:23:47 UTC
Created attachment 146601 [details]
Update patch for japanese/nethack34

* Fix the BROKEN flag.
* Add staging support.
  The greater part is derived from games/nethack34.  Thanks!
* Update to the latest jnethack patch.
* Use system's default compiler instead of "gcc".
* Quick fix for [Bug 192743] (chown & chmod).
  https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=192743
Comment 1 WATANABE Kazuhiro 2014-08-31 14:25:45 UTC
Created attachment 146602 [details]
poudriere testport log (9.1-RELEASE amd64)
Comment 2 WATANABE Kazuhiro 2014-09-01 08:38:43 UTC
Created attachment 146626 [details]
Update patch for japanese/nethack34

* Fix the BROKEN flag.
* Add staging support.
  The greater part is derived from games/nethack34.  Thanks!
* Update to the latest jnethack patch.
* Use system's default compiler instead of "gcc".
* Quick fix for [Bug 192743] (chown & chmod).
Comment 3 WATANABE Kazuhiro 2014-09-01 08:40:15 UTC
Created attachment 146627 [details]
poudriere testport log (9.1-RELEASE amd64)
Comment 4 John Marino freebsd_committer 2014-09-01 10:51:10 UTC
I see this in stage-qa check:

Warning: 'share/jnethack/jnethack' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
Warning: 'share/jnethack/recover' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}


I suspect "INSTALL_TARGET=install-strip" would fix this.  Can you add that line to makefile and see if it does?
Comment 5 WATANABE Kazuhiro 2014-09-02 14:35:32 UTC
Created attachment 146685 [details]
Update patch for japanese/nethack34

Only one change from the previous patch:

* Change "cp" to "${BSD_INSTALL_PROGRAM} in sys/unix/Makefile.top.
Comment 6 WATANABE Kazuhiro 2014-09-02 14:37:10 UTC
Created attachment 146686 [details]
poudriere testport log (9.1-RELEASE amd64)
Comment 7 John Marino freebsd_committer 2014-09-03 07:17:55 UTC
Thanks for the update, it looks good now.  I'm moving it to patch-ready.
Comment 8 commit-hook freebsd_committer 2014-09-06 17:19:55 UTC
A commit references this bug:

Author: marino
Date: Sat Sep  6 17:19:50 UTC 2014
New revision: 367456
URL: http://svnweb.freebsd.org/changeset/ports/367456

Log:
  Stage japanese/nethack34 and unbreak

   * Update to the latest jnethack patch
   * Remove BROKEN flag
   * Add staging support (inspired by games/nethack)
   * Use base compiler instead of gcc
   * Quick fix for bug 192743 (chown and chmod)
   * marino: Use SUB_FILES instead of roll-your-own pkg-deinstall
   * marino: Remove unnecessary loop for REINPLACE_CMD
   * marino: Simplify docs installation, remove two loops
   * marino: Unmask configure commands
   * marino: Use parentheses and "&&" instead of just ";" on compounds
   * marino: Beef up pkg-descr for those unfamiliar with NetHack

  PR:		193206
  Submitted by:	WATANABE Kazuhiro

Changes:
  head/japanese/nethack34/Makefile
  head/japanese/nethack34/distinfo
  head/japanese/nethack34/files/patch-include-config.h
  head/japanese/nethack34/files/patch-include-system.h
  head/japanese/nethack34/files/patch-include-unixconf.h
  head/japanese/nethack34/files/patch-sys-unix-Makefile.doc
  head/japanese/nethack34/files/patch-sys-unix-Makefile.src
  head/japanese/nethack34/files/patch-sys-unix-Makefile.top
  head/japanese/nethack34/files/patch-sys-unix-Makefile.utl
  head/japanese/nethack34/files/pkg-deinstall.in
  head/japanese/nethack34/pkg-descr
  head/japanese/nethack34/pkg-plist
Comment 9 John Marino freebsd_committer 2014-09-06 17:26:58 UTC
Thanks, committed!
Please see commit log message to see what additional changes I made on top of your PR.